Package org.postgresql.xa

# Class PGXADataSourceFactory

java.lang.Object
org.postgresql.ds.common.PGObjectFactory
org.postgresql.xa.PGXADataSourceFactory

All Implemented Interfaces:
  `ObjectFactory`

public class PGXADataSourceFactory extends PGObjectFactory
An ObjectFactory implementation for PGXADataSource-objects.

## Constructor Summary

Constructors
Constructor
Description
`PGXADataSourceFactory()`

## Method Summary

Modifier and Type
Method
Description
`@Nullable Object`
`getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment)`
Dereferences a PostgreSQL DataSource.

### Methods inherited from class org.postgresql.ds.common.PGObjectFactory

`getProperty, loadBaseDataSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PGXADataSourceFactory

public PGXADataSourceFactory()

## Method Details

### getObjectInstance

public @Nullable Object getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment) throws Exception
Description copied from class: `PGObjectFactory`
Dereferences a PostgreSQL DataSource. Other types of references are ignored.

Specified by:
  `getObjectInstance` in interface `ObjectFactory`
Overrides:
  `getObjectInstance` in class `PGObjectFactory`
Throws:
  `Exception`